glibc ,ch6 complains gcc is too old

Greg Schafer gschafer at zip.com.au
Mon Nov 17 01:19:17 PST 2003


On Sun, Nov 16, 2003 at 08:36:58PM -0200, michael wrote:
> root:/sources/glibc-build# ../glibc-2.3.2/configure --prefix=/usr \
> >     --disable-profile --enable-add-ons \
> >     --libexecdir=/usr/bin --with-headers=/usr/include
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking sysdep dirs... sysdeps/i386/elf 
> linuxthreads/sysdeps/unix/sysv/linux/i386 
> linuxthreads/sysdeps/unix/sysv/linux linuxthreads/sysdeps/pthread 
> sysdeps/pthread linuxthreads/sysdeps/unix/sysv linuxthreads/sysdeps/unix 
> linuxthreads/sysdeps/i386/i686 linuxthreads/sysdeps/i386 
> sysdeps/unix/sysv/linux/i386 sysdeps/unix/sysv/linux sysdeps/gnu 
> sysdeps/unix/common sysdeps/unix/mman sysdeps/unix/inet 
> sysdeps/unix/sysv/i386 sysdeps/unix/sysv sysdeps/unix/i386 sysdeps/unix 
> sysdeps/posix sysdeps/i386/i686/fpu sysdeps/i386/i686 sysdeps/i386/i486 
> sysdeps/i386/fpu sysdeps/i386 sysdeps/wordsize-32 sysdeps/ieee754/ldbl-96 
> sysdeps/ieee754/dbl-64 sysdeps/ieee754/flt-32 sysdeps/ieee754 
> sysdeps/generic/elf sysdeps/generic
> checking for a BSD-compatible install... /tools/bin/install -c
> checking whether ln -s works... yes
> checking for pwd... /bin/pwd
> checking for gcc... gcc
> checking version of gcc... v. ?.??, bad
> checking for gnumake... no
> checking for gmake... no
> checking for make... make
> checking version of make... 3.80, ok
> configure: error:
> *** These critical programs are missing or too old: gcc
> *** Check the INSTALL file for required versions.
> root:/sources/glibc-build#

Usual source of this error is an incorrect $PATH. Please check your $PATH as
per the book.



More information about the lfs-support mailing list